Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.flow
Class Marker.MarkerPropertyList

    java.lang.Object
      org.apache.fop.fo.PropertyList
          org.apache.fop.fo.flow.Marker.MarkerPropertyList

All Implemented Interfaces:
  org.xml.sax.Attributes

Enclosing class:
  Marker

protected class Marker.MarkerPropertyList
extends PropertyList
implements org.xml.sax.Attributes

An implementation of `PropertyList` which only stores the explicitly specified properties/attributes as bundles of name-value-namespace strings

Field Summary

Fields inherited from class org.apache.fop.fo.PropertyList
`parentPropertyList`

Constructor Summary
`Marker.MarkerPropertyList(FObj fobj, PropertyList parentPropertyList)` Overriding default constructor

Method Summary
`void` | `addAttributesToList(org.xml.sax.Attributes attributes)` Override that doesn't convert the attributes to `Property` instances, but simply stores the attributes for later processing.
`Property` | `getExplicit(int propId)` Null implementation; not used by this type of `PropertyList`
`int` | `getIndex(java.lang.String qname)`
`int` | `getIndex(java.lang.String name, java.lang.String namespace)`
`int` | `getLength()`
`java.lang.String` | `getLocalName(int index)`
`java.lang.String` | `getQName(int index)`
`java.lang.String` | `getType(int index)` Default implementation; not used
`java.lang.String` | `getType(java.lang.String qname)` Default implementation; not used
`java.lang.String` | `getType(java.lang.String name, java.lang.String namespace)` Default implementation; not used
`java.lang.String` | `getURI(int index)`
`java.lang.String` | `getValue(int index)`
`java.lang.String` | `getValue(java.lang.String qname)`
`java.lang.String` | `getValue(java.lang.String name, java.lang.String namespace)`
`void` | `putExplicit(int propId, Property value)` Null implementation; not used by this type of `PropertyList`

Methods inherited from class org.apache.fop.fo.PropertyList
`findBasePropertyName, findSubPropertyName, get, get, getAbsolutePositionProps, getAccessibilityProps, getAuralProps, getBorderPaddingBackgroundProps, getExplicitOrShorthand, getFObj, getFontProps, getFromParent, getHyphenationProps, getInherited, getMarginBlockProps, getMarginInlineProps, getNearestSpecified, getParentFObj, getParentPropertyList, getRelativePositionProps, getTextDecorationProps, getWritingMode, getWritingMode, handleInvalidProperty, isValidPropertyName, setWritingMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Marker.MarkerPropertyList

    public Marker.MarkerPropertyList(FObj fobj,
                                     PropertyList parentPropertyList)

  Overriding default constructor

Parameters:
  `fobj` - the `FObj` to attach
  `parentPropertyList` - ignored

Method Detail

### addAttributesToList

    public void addAttributesToList(org.xml.sax.Attributes attributes)
                             throws ValidationException

  Override that doesn't convert the attributes to `Property` instances, but simply stores the attributes for later processing. Adds the attributes, passed in by the parser to the PropertyList

  Overrides:
    `addAttributesToList` in class `PropertyList`
  Parameters:
    `attributes` - Collection of attributes passed to us from the parser.
  Throws:
    `ValidationException` - if there is an attribute that does not map to a property id (strict validation only)

### putExplicit

    public void putExplicit(int propId,
                            Property value)

  Null implementation; not used by this type of `PropertyList`

  Specified by:
    `putExplicit` in class `PropertyList`
  Parameters:
    `propId` - The ID of the property to set.
    `value` - The value of the property.

### getExplicit

    public Property getExplicit(int propId)

  Null implementation; not used by this type of `PropertyList`

  Specified by:
    `getExplicit` in class `PropertyList`
  Parameters:
    `propId` - The ID of the property whose value is desired.
  Returns:
    The value if the property is explicitly set, otherwise null.

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.xml.sax.Attributes`

### getURI

    public java.lang.String getURI(int index)

  Specified by:
    `getURI` in interface `org.xml.sax.Attributes`

### getLocalName

    public java.lang.String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `org.xml.sax.Attributes`

### getQName

    public java.lang.String getQName(int index)

  Specified by:
    `getQName` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(int index)

  Default implementation; not used

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(int index)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String name,
                        java.lang.String namespace)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String qname)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String name,
                                    java.lang.String namespace)

  Default implementation; not used

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String qname)

  Default implementation; not used

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String name,
                                     java.lang.String namespace)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String qname)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.